﻿using System;
using System.Collections.Generic;
using Styx;
using Styx.Plugins;
using Styx.WoWInternals;

namespace Zephyr.WispCancel
{
    public class WispCancel : HBPlugin
    {
        private readonly IEnumerable<int> _auraIds = new List<int>
        {
            241331, // The Sentinel's Eternal Refuge
            241846, // The Sentinel's Eternal Refuge 2
            241332, // Vigilance Perch 
            242066 // Vigilance Perch 2
        };

        public override string Author => "ZephyrMMO";
		// Also MH66 + pookthetook for help with the plugin

        public override string Name => "CraftedLegCancel";

        public override Version Version { get; } = new Version(1, 0, 0);

        public override void Pulse()
        {
            foreach (int auraId in _auraIds)
            {
                WoWAura aura = StyxWoW.Me.GetAuraById(auraId);
                if (aura != null && aura.StackCount >= 4)
                    aura.TryCancelAura();
            }
        }
    }
}